Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface QualifiedRestriction

All Superinterfaces:
  FrontsNode, OntClass, OntResource, RDFNode, Resource, Restriction

All Known Subinterfaces:
  CardinalityQRestriction, MaxCardinalityQRestriction, MinCardinalityQRestriction

    public interface QualifiedRestriction

extends Restriction

Represents a qualified restriction, in which all values of the restricted property are required to be members of a given class. At present, this capability is only part of DAML+OIL, not OWL.

Version:
  CVS $Id: QualifiedRestriction.java,v 1.8 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`OntResource` | `getHasClassQ()` Answer the class or datarange to which all values of the restricted property belong.
`boolean` | `hasHasClassQ(DataRange dr)` Answer true if this qualified property restriction has the given datarange as the class to which all of the property values must belong.
`boolean` | `hasHasClassQ(OntClass cls)` Answer true if this qualified property restriction has the given class as the class to which all of the property values must belong.
`void` | `removeHasClassQ(DataRange dr)` Remove the statement that this restriction has the given datarange as the class to which all values must belong.
`void` | `removeHasClassQ(OntClass cls)` Remove the statement that this restriction has the given class as the class to which all values must belong.
`void` | `setHasClassQ(OntClass cls)` Assert that this qualified restriction restricts the property to have a given cardinality and to have values belonging to the class denoted by `hasClassQ`.

Methods inherited from interface com.hp.hpl.jena.ontology.Restriction
`asAllValuesFromRestriction, asCardinalityRestriction, asHasValueRestriction, asMaxCardinalityRestriction, asMinCardinalityRestriction, asSomeValuesFromRestriction, convertToAllValuesFromRestriction, convertToCardinalityRestriction, convertToHasValueRestriction, convertToMaxCardinalityRestriction, convertToMinCardinalityRestriction, convertToSomeValuesFromRestriction, getOnProperty, isAllValuesFromRestriction, isCardinalityRestriction, isHasValueRestriction, isMaxCardinalityRestriction, isMinCardinalityRestriction, isSomeValuesFromRestriction, onProperty, removeOnProperty, setOnProperty`

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setHasClassQ

    void setHasClassQ(OntClass cls)

  Assert that this qualified restriction restricts the property to have a given cardinality and to have values belonging to the class denoted by `hasClassQ`. Any existing statements for `hasClassQ` will be removed.

  Parameters:
    `cls` - The class to which all of the value of the restricted property must belong
  Throws:
    `OntProfileException` - If the `Profile.HAS_CLASS_Q()` property is not supported in the current language profile.

### getHasClassQ

    OntResource getHasClassQ()

  Answer the class or datarange to which all values of the restricted property belong.

  Returns:
    The ontology class of the restricted property values
  Throws:
    `OntProfileException` - If the `Profile.HAS_CLASS_Q()` property is not supported in the current language profile.

### hasHasClassQ

    boolean hasHasClassQ(OntClass cls)

  Answer true if this qualified property restriction has the given class as the class to which all of the property values must belong.

  Parameters:
    `cls` - The class to test against
  Returns:
    True if the given class is the class to which all members of this restriction must belong
  Throws:
    `OntProfileException` - If the `Profile.HAS_CLASS_Q()` property is not supported in the current language profile.

### hasHasClassQ

    boolean hasHasClassQ(DataRange dr)

  Answer true if this qualified property restriction has the given datarange as the class to which all of the property values must belong.

  Parameters:
    `dr` - The datarange to test against
  Returns:
    True if the given class is the class to which all members of this restriction must belong
  Throws:
    `OntProfileException` - If the `Profile.HAS_CLASS_Q()` property is not supported in the current language profile.

### removeHasClassQ

    void removeHasClassQ(OntClass cls)

  Remove the statement that this restriction has the given class as the class to which all values must belong. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - The ont class that is the object of the `hasClassQ` property.

### removeHasClassQ

    void removeHasClassQ(DataRange dr)

  Remove the statement that this restriction has the given datarange as the class to which all values must belong. If this statement is not true of the current model, nothing happens.

  Parameters:
    `dr` - The datarange that is the object of the `hasClassQ` property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP